﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<TradeData> data= new List<TradeData>();
            data.Add(new TradeData(new DateTime(1987, 12, 21, 11, 55, 25), 11));
            data.Add(new TradeData(new DateTime(1988, 12, 21, 11, 55, 25), 12));
            data.Add(new TradeData(new DateTime(1989, 12, 21, 11, 55, 25), 15));
            radChart.ItemsSource = data;
        }

        public class TradeData
        {
            public TradeData(DateTime fromDate, int close)
            {
                this.FromDate = fromDate;
                this.Close = close;
            }

            public DateTime FromDate { get; set; }
            public double Close { get; set; }   
        }

    }
}
